e2fsck error while booting LFS

Matthew Burgess matthew at linuxfromscratch.org
Sun May 15 11:49:54 PDT 2005


Chakkaradeep C C wrote:
> i have completed my LFS 6.0 and when i tried to boot lfs, i got this error
> 
> *********************************error********************************************
> checking file systems...
> fsck.ext2: Filesystem has unsupported feature(s) (/dev/hdb5)
> e2fsck: Get a newer version of e2fsck!
> ********************************error***********************************************

Yeah, nice isn't it? :)  Basically it looks like your host, I'm guessing 
Fedora Core 3, was running a patched version of e2fsprogs, or, if it's a 
very recent host, possibly e2fsprogs-1.37.  The result of this is that 
when you created your ext2 partition, it got created with some features 
that the old(ish) version of e2fsprogs installed in LFS-6.0 doesn't know 
about.  The easiest solution to this is to upgrade the e2fsprogs package 
to 1.37.

Hope this helps,

Matt.



More information about the lfs-support mailing list